Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Wurley Class Reference

STK Wurlitzer electric piano FM synthesis instrument. More...

`#include <Wurley.h>`

Inheritance diagram for Wurley:

List of all members.

## Public Member Functions

| Wurley ()
| Class constructor.
| ~Wurley ()
| Class destructor.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
MY_FLOAT | tick ()
| Compute one output sample.

## Detailed Description

STK Wurlitzer electric piano FM synthesis instrument.

This class implements two simple FM Pairs summed together, also referred to as algorithm 5 of the TX81Z.

        Algorithm 5 is :  4->3--\
                                 + --> Out
                          2->1--/

Control Change Numbers:

- Modulator Index One = 2
- Crossfade of Outputs = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 38 of file Wurley.h.

The documentation for this class was generated from the following file:

- Wurley.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.